<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("page" . "_id" => base64_decode("cGFnZV9pZA" . "=="), "_2aef71f103069bdb72b57d0b3bd1d2" . "94" => base64_decode("Q2Fubm90IGRpc3BsYXkgY29tbWVudHMgLSBw" . "YWdlIG5vdCBpZGVudGlmaWVk"), "_69c6236c927bc93c5d062" . "074967d834d" => base64_decode("cGFnZV92ZX" . "JzaW9u"), "_1a6a10bd09998ad" . "0ae2a2b4e0fd966e" . "8" => base64_decode("U0NSSVB" . "UX1VSSQ" . "=="));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_1a6a10bd09998ad0ae2a2b" . "4e0fd966e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2aef71f103069bdb72b" . "57d0b3bd1d294"];
        }
        $attributes[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["pa" . "ge" . "_i" . "d"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $comments = new PublishComments($attributes[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["page" . "_id"]], $attributes[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_69c6236c927bc93c5d062074967d834" . "d"]]);
        return $comments;
    }
}